<?php

declare(strict_types=1);

namespace Gls\GlsPoland\Configuration\Api;

use Gls\GlsPoland\AdePlus\UserCredentialsInterface;

interface ConfigurationInterface
{
    public function isSandboxEnabled(): bool;

    public function setSandboxEnabled(bool $enabled);

    public function getIntegratorId(): ?string;

    public function setIntegratorId(?string $integratorId);

    public function getProdCredentials(): ?UserCredentialsInterface;

    public function setProdCredentials(?UserCredentialsInterface $credentials);

    public function getTestCredentials(): ?UserCredentialsInterface;

    public function setTestCredentials(?UserCredentialsInterface $credentials);
}
